<?php
/**
* Global Color Settings.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'cleaning_maintenance_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'cleaning-maintenance' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'cleaning_maintenance_theme_option_panel',
	)
);

$wp_customize->add_setting( 'cleaning_maintenance_global_color',
    array(
    'default'           => '#0E1B48',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'cleaning_maintenance_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'cleaning-maintenance' ),
        'section'    => 'cleaning_maintenance_global_color_setting',
        'settings'   => 'cleaning_maintenance_global_color',
    ) ) 
);

$wp_customize->add_setting( 'cleaning_maintenance_secondary_color',
    array(
    'default'           => '#FFE52C',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'cleaning_maintenance_secondary_color',
    array(
        'label'      => esc_html__( 'Global Color', 'cleaning-maintenance' ),
        'section'    => 'cleaning_maintenance_global_color_setting',
        'settings'   => 'cleaning_maintenance_secondary_color',
    ) ) 
);